pinentry-1.3.2

#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-553

### Chapter 11. General Utilities

- Prev

  lsof-4.99.6

- Next

  Screen-5.0.1

- Up
- Home

# pinentry-1.3.2

## Introduction to PIN-Entry

The PIN-Entry package contains a collection of simple PIN or pass-phrase entry dialogs which utilize the Assuan protocol as described by the Ägypten project. PIN-Entry programs are usually invoked by the gpg-agent daemon, but can be run from the command line as well. There are programs for various text-based and GUI environments, including interfaces designed for Ncurses (text-based), and for the common GTK and Qt toolkits.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://www.gnupg.org/ftp/gcrypt/pinentry/pinentry-1.3.2.tar.bz2

- Download MD5 sum: 5247373d2e9ac73b1ea662bd270e58a4

- Download size: 600 KB

- Estimated disk space required: 17 MB

- Estimated build time: 0.2 SBU

### PIN-Entry Dependencies

#### Required

libassuan-3.0.2 and libgpg-error-1.61

#### Optional

Emacs-30.2, FLTK-1.4.5, Gcr-4.4.0.1 (or Gcr-3.41.2), KDE Frameworks-6.23.0, libsecret-0.21.7, and efl

## Installation of PIN-Entry

First, make configure consistent with fltk-1.4.1:

    sed -i "/FLTK 1/s/3/4/" configure   &&
    sed -i '14456 s/1.3/1.4/' configure

Install PIN-Entry by running the following commands:

    ./configure --prefix=/usr          \
                --enable-pinentry-tty  &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-inside-emacs=yes/no`: Default is no.

`--enable-pinentry-qt=yes/no`: Default is yes.

`--enable-pinentry-gnome3=yes/no`: Default is yes. This option uses Gcr-4.4.0.1 (or Gcr-3.41.2 if the former is not installed) for the pinentry dialog.

`--enable-pinentry-tty`: Default is 'maybe'.

## Contents

Installed Programs: pinentry (symlink), pinentry-curses, pinentry-emacs, pinentry-fltk, pinentry-gnome3, pinentry-qt, and pinentry-tty
Installed Libraries: None
Installed Directory: None

### Short Descriptions

pinentry | is a symbolic link to the default PIN-Entry program
pinentry-curses | is an Ncurses text-based PIN-Entry helper program
pinentry-emacs | is an Emacs version of the PIN-Entry helper program
pinentry-fltk | is a FLTK PIN-Entry helper program
pinentry-gnome3 | is a GNOME-3 PIN-Entry helper program
pinentry-qt | is a Qt4 or 5 PIN-Entry helper program
pinentry-tty | is a tty PIN-Entry helper program

- Prev

  lsof-4.99.6

- Next

  Screen-5.0.1

- Up
- Home